std::atomic_flag::test(3)

NAME
std::atomic_flag::test - std::atomic_flag::test

Synopsis
   bool test( std::memory_order order = std::memory_order::seq_cst )
   const volatile noexcept; (since C++20)
   bool test( std::memory_order order = std::memory_order::seq_cst )
   const noexcept;
   Atomically reads the value of the *this and returns the value.

Parameters
   order - the memory synchronization ordering for this operation: must not be
           std::memory_order::release or std::memory_order::acq_rel

Return value
   The value atomically read.

Example
    This section is incomplete
    Reason: no example

See also
   atomic_flag_test
   atomic_flag_test_explicit atomically returns the value of the flag
   (C++20) (function)
   (C++20)